summaryrefslogtreecommitdiff
path: root/configs/releng/airootfs/root/customize_airootfs.sh
diff options
context:
space:
mode:
authorGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2014-06-28 00:35:50 -0300
committerGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2014-06-28 00:35:50 -0300
commit604b182af5485b0134fbe750948eba57f385d709 (patch)
tree2cc747e58281a5760befff04aad6b6a18c4dfc81 /configs/releng/airootfs/root/customize_airootfs.sh
parent6a7497e23dc00b048c29d1ca35a236306a20d8e6 (diff)
downloadarchiso32-604b182af5485b0134fbe750948eba57f385d709.tar.xz
[archiso] Rename root-image to airootfs
Two purposes: * systemd filename friendly: "-" is used for "/" and must be escaped with "\x20" * ISO9660 filename friendly: "-" is replaced with "_"
Diffstat (limited to 'configs/releng/airootfs/root/customize_airootfs.sh')
-rwxr-xr-xconfigs/releng/airootfs/root/customize_airootfs.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/configs/releng/airootfs/root/customize_airootfs.sh b/configs/releng/airootfs/root/customize_airootfs.sh
new file mode 100755
index 0000000..9c85453
--- /dev/null
+++ b/configs/releng/airootfs/root/customize_airootfs.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+
+useradd -m -p "" -g users -G "adm,audio,floppy,log,network,rfkill,scanner,storage,optical,power,wheel" -s /usr/bin/zsh arch
+
+chmod 750 /etc/sudoers.d
+chmod 440 /etc/sudoers.d/g_wheel
+
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+sed -i 's/#\(Storage=\)auto/\1volatile/' /etc/systemd/journald.conf
+
+systemctl enable pacman-init.service choose-mirror.service
+systemctl set-default multi-user.target